﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Support_128338
{
    class Model : INotifyPropertyChanged
    {
        private int _NumberOfDecimals;
        public int NumberOfDecimals
        {
            get { return _NumberOfDecimals; }
            set
            {
                if(value==0 || value==2)
                {
                    _NumberOfDecimals = value;
                    OnPropertyChanged("NumberOfDecimals");
                }
            }
        }

        private Double _Value;
        public Double Value
        {
            get { return _Value; }
            set
            {
                _Value = value;
                OnPropertyChanged("Value");
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string PropertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(PropertyName));
        }
    }
}
