﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Support_128338
{
    class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<Model> _ValueList;
        public ObservableCollection<Model> ValueList
        {
            get { return _ValueList; }
            set
            {
                _ValueList = value;
                OnPropertyChanged("ValueList");
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string PropertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(PropertyName));
        }
        public ViewModel()
        {
            ValueList = new ObservableCollection<Model>();
            ValueList.Add(new Model() { NumberOfDecimals = 2, Value = 22.3670 });
            ValueList.Add(new Model() { NumberOfDecimals = 0, Value = 22.70856 });
            ValueList.Add(new Model() { NumberOfDecimals = 2, Value = 22.3670 });
        }
    }
}
